###############################
The :mod:`gramps.gen.db` Module
###############################

.. automodule:: gramps.gen.db

GrampsDbBase
====================================
.. automodule:: gramps.gen.db.base
   :members:
   :undoc-members:
   :show-inheritance:

GrampsDbTxn
====================================
.. automodule:: gramps.gen.db.txn
   :members:
   :undoc-members:
   :show-inheritance:

DbConst
====================================
.. automodule:: gramps.gen.db.dbconst
   :members:

GrampsDbException
====================================
.. automodule:: gramps.gen.db.exceptions
   :members:
   :undoc-members:
   :show-inheritance:

GrampsDbUndo
====================================
.. automodule:: gramps.gen.db.undoredo
   :members:
   :undoc-members:
   :show-inheritance:

Generic
====================================
.. automodule:: gramps.gen.db.generic
   :members:
   :undoc-members:
   :show-inheritance:

DummyDb
====================================
.. automodule:: gramps.gen.db.dummydb
   :members:
   :undoc-members:
   :show-inheritance:

#####################################
The :mod:`gramps.gen.db` bsddb Module
#####################################

.. automodule:: gramps.plugins.db.bsddb

GrampsDbRead
====================================
.. automodule:: gramps.plugins.db.bsddb.read
   :members:
   :show-inheritance:

GrampsDbWrite
====================================
.. automodule:: gramps.plugins.db.bsddb.write
   :members:
   :undoc-members:
   :show-inheritance:

GrampsCursor
====================================
.. automodule:: gramps.plugins.db.bsddb.cursor
   :members:
   :undoc-members:
   :show-inheritance:

BSDDBtxn
====================================
.. automodule:: gramps.plugins.db.bsddb.bsddbtxn
   :members:
   :undoc-members:
   :show-inheritance:

#####################################
The :mod:`gramps.gen.db` dbapi Module
#####################################

.. automodule:: gramps.plugins.db.dbapi

DBAPI
====================================
.. automodule:: gramps.plugins.db.dbapi.dbapi
   :members:
   :show-inheritance:

Sqlite
====================================
.. automodule:: gramps.plugins.db.dbapi.sqlite
   :members:
   :show-inheritance:
